"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionModel = void 0;
const conventional_cli_1 = require("conventional-cli");
class OptionModel extends conventional_cli_1.Argument {
    constructor(args) {
        super();
        this.beta = args.beta;
        this.type = args.type;
        this.values = args.values;
        this.default = args.default;
        this.longName = args.longName;
        this.required = args.required;
        this.shortName = args.shortName;
        this.description = args.description;
        this.additionalDescription = args.additionalDescription;
    }
    getFlag() {
        const typeTemplate = this.type !== conventional_cli_1.ArgumentTypes.undefined ? `[${this.type}] ` : '';
        const betaTemplate = this.beta ? '[BETA] ' : '';
        const requiredTemplate = this.required ? '(required) ' : '';
        const longNameTemplate = `--${this.longName} `;
        const shortNameTemplate = this.shortName ? '-' + this.shortName + ', ' : '';
        return `${shortNameTemplate}${longNameTemplate}${typeTemplate}${requiredTemplate}${betaTemplate}`;
    }
    getDescription() {
        const descriptionTemplate = `${this.description}`;
        const possibleValuesTemplate = this.values ? 'Possible Values: <' + this.values.join('|') + '>' : '';
        return (`
        ${descriptionTemplate}
        ${possibleValuesTemplate}
        `);
    }
}
exports.OptionModel = OptionModel;
//# sourceMappingURL=Option.js.map