"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StylishLogger = void 0;
const chalk_1 = __importDefault(require("chalk"));
const enums_1 = require("./../enums");
class StylishLogger {
    constructor(logger, errorType = enums_1.ErrorTypes.error) {
        this.logger = logger;
        this.errorType = errorType;
    }
    error(message) {
        // tslint:disable-next-line:no-console
        console.error(chalk_1.default.red(message));
    }
    log(message) {
        // tslint:disable-next-line:no-console
        console.log(chalk_1.default.yellow(message));
    }
    printMessage(message, errorType = this.errorType) {
        switch (errorType) {
            case enums_1.ErrorTypes.error:
                this.error(message);
                break;
            case enums_1.ErrorTypes.warning:
                this.log(message);
                break;
            default:
                this.log(message);
                break;
        }
    }
}
exports.StylishLogger = StylishLogger;
//# sourceMappingURL=StylishLogger.js.map