"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileModel = void 0;
const fs_1 = __importDefault(require("fs"));
const utils_1 = require("../../utils");
class FileModel {
    constructor(path, files = [], keys = [], ignore = undefined) {
        this.path = path;
        this.keys = keys;
        this.files = files;
        this.ignore = ignore;
    }
    getNormalizeFiles() {
        const ignorePathList = this.ignore && this.ignore !== '' ? this.ignore.split(',') : [];
        const resultFilesList = utils_1.PathUtils.getNormalizeFiles(this.path, ignorePathList);
        if (!resultFilesList.length) {
            throw Error(`Cannot found files for path: '${this.path}'`);
        }
        return resultFilesList;
    }
    parseKeys(identity) {
        const keysModels = this.files.reduce((acum, filePath) => {
            const fileData = fs_1.default.readFileSync(filePath).toString();
            const models = identity(fileData, filePath);
            acum.push(...models);
            return acum;
        }, []);
        return utils_1.KeysUtils.groupKeysByName(keysModels);
    }
    parseKeysWithValues(identity) {
        const keysModels = this.files.reduce((acum, filePath) => {
            const fileData = fs_1.default.readFileSync(filePath).toString();
            const models = identity(fileData, filePath);
            acum.push(...models);
            return acum;
        }, []);
        return keysModels;
    }
}
exports.FileModel = FileModel;
//# sourceMappingURL=FileModel.js.map