"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyKeysRule = void 0;
const enums_1 = require("./../enums");
const models_1 = require("./../models");
class EmptyKeysRule {
    constructor(handler = enums_1.ErrorTypes.warning) {
        this.flow = enums_1.ErrorFlow.emptyKeys;
        this.handler = handler;
    }
    check(languagesKeys) {
        const emptyKeyList = languagesKeys.filter((x) => x.value === '' || x.value === undefined || x.value === null);
        const resultErrorList = emptyKeyList.reduce((result, key) => {
            const resultErrors = key.languages.map((languagePath) => {
                const resultErrorModel = new models_1.ResultErrorModel(key.name, this.flow, this.handler, languagePath);
                return resultErrorModel;
            });
            result.push(...resultErrors);
            return result;
        }, []);
        return resultErrorList;
    }
}
exports.EmptyKeysRule = EmptyKeysRule;
//# sourceMappingURL=EmptyKeysRule.js.map