"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZombieRule = void 0;
const lodash_1 = require("lodash");
const enums_1 = require("./../enums");
const models_1 = require("./../models");
class ZombieRule {
    constructor(handler = enums_1.ErrorTypes.error) {
        this.flow = enums_1.ErrorFlow.zombieKeys;
        this.handler = handler;
    }
    check(viewKeys, languagesKeys) {
        const keysListError = (0, lodash_1.differenceBy)(languagesKeys, viewKeys, 'name');
        const resultErrorList = keysListError.reduce((result, key) => {
            const resultErrors = key.languages.map((languagePath) => {
                const resultErrorModel = new models_1.ResultErrorModel(key.name, this.flow, this.handler, languagePath);
                return resultErrorModel;
            });
            result.push(...resultErrors);
            return result;
        }, []);
        return resultErrorList;
    }
}
exports.ZombieRule = ZombieRule;
//# sourceMappingURL=ZombiesRule.js.map