"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathUtils = void 0;
const path_1 = __importDefault(require("path"));
const glob_1 = __importDefault(require("glob"));
const dir_glob_1 = __importDefault(require("dir-glob"));
const _ = __importStar(require("lodash"));
class PathUtils {
    static resolvePath(filePath) {
        return path_1.default.isAbsolute(filePath) ? filePath : path_1.default.resolve(process.cwd(), filePath);
    }
    static getNormalizeFiles(folder, ignores = []) {
        const correctFilesPathList = dir_glob_1.default.sync(PathUtils.resolvePath(folder), {
            extensions: ['html', 'ts', 'json', 'js']
        });
        const correctIgnorePath = ignores.map((path) => PathUtils.resolvePath(path.trim()));
        const result = correctFilesPathList.reduce((acum, path) => {
            const filesPathList = glob_1.default.sync(path, {
                ignore: correctIgnorePath,
            });
            acum = _.concat(acum, filesPathList);
            return acum;
        }, []);
        return result.map((filePath) => {
            return path_1.default.normalize(filePath);
        });
    }
}
exports.PathUtils = PathUtils;
//# sourceMappingURL=path.js.map