"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resourceResolver = void 0;
const fs_1 = require("fs");
// tslint:disable-next-line:no-any
const resourceResolver = {
    get(url) {
        return new Promise((resolve, reject) => {
            (0, fs_1.readFile)(url, 'utf-8', (err, content) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(content);
                }
            });
        });
    },
    getSync(url) {
        return (0, fs_1.readFileSync)(url).toString();
    }
};
exports.resourceResolver = resourceResolver;
//# sourceMappingURL=shared.js.map